<?php

function DisplayCalendar(&$module, $id, &$parameters, $returnid)
  {
    $category = get_parameter_value($parameters, 'category', '');
    $summaries = get_parameter_value($parameters, 'summaries', 1);
    $categories_table_name = $module->categories_table_name;
    $events_to_categories_table_name = $module->events_to_categories_table_name;
    $events_table_name = $module->events_table_name;
    $first_day_of_week = get_parameter_value($parameters, 'first_day_of_week', 1);
    $table_id = get_parameter_value($parameters, 'table_id', 'calendar-'.$id.$returnid);
    $compact_view = get_parameter_value($parameters, 'compact_view', 0);

    $inline = get_parameter_value($parameters,'inline',true);

    $use_session = get_parameter_value($parameters, 'use_session', true);
    if($use_session)
      {
	$month = get_parameter_value($parameters, 'month', date('n'), 'calendar-month'.$id.$returnid);
	$year = get_parameter_value($parameters, 'year', date('Y'), 'calendar-year'.$id.$returnid);
      }
    else
      {
	$month = get_parameter_value($parameters, 'month', date('n'));
	$year = get_parameter_value($parameters, 'year', date('Y'));
      }

    // basic information about dates
    $prev_month['timestamp'] = strtotime("-1 month", mktime(0,0,0,$month, 1, $year));
    $prev_month['year'] = date('Y', $prev_month['timestamp']);
    $prev_month['month'] = date('n', $prev_month['timestamp']);
    $next_month['timestamp'] = strtotime("+1 month", mktime(0,0,0,$month, 1, $year));
    $next_month['year'] = date('Y', $next_month['timestamp']);
    $next_month['month'] = date('n', $next_month['timestamp']);

    $last_day_of_month = mktime(0, 0, 0, $next_month['month'], 0, $next_month['year']);


    $db =& $module->GetDb();
    $where = 'WHERE';
    $sql = "SELECT DISTINCT $events_table_name.*
				FROM $events_table_name\n";
    if($category)
      {
	$sql .= "INNER JOIN $events_to_categories_table_name
				   ON $events_table_name.event_id = $events_to_categories_table_name.event_id
				INNER JOIN $categories_table_name
				   ON $events_to_categories_table_name.category_id = $categories_table_name.category_id
			";
      }

    $start = sprintf('%04d-%02d-01 00:00:00', $year, $month);
    $end = sprintf('%04d-%02d-%02d 23:59:59', date('Y', $last_day_of_month), date('m', $last_day_of_month), date('d', $last_day_of_month));

    $sql .= "$where ($events_table_name.event_date_start >= '$start' \n\tOR $events_table_name.event_date_end >= '$start')\n";
    $sql .= "AND ($events_table_name.event_date_start <= '$end' \n\tOR $events_table_name.event_date_end <= '$end')\n";

    $where = ' AND ';

    if($category)
      {
	$cats = explode(',', $category);
	$sql .= $where . ' (';
	$count = 0;
	foreach($cats as $cat)
	  {
	    $cat = trim($cat);
	    if($count != 0)
	      {
		$sql .= ' OR ';
	      }
	    $count++;
	    $sql .= "$categories_table_name.category_name LIKE '$cat' ";
	  }
	$sql .=	') ';
	$where = ' AND ';
      }
    $sql .= " ORDER BY $events_table_name.event_date_start ASC";

    $rs = $db->Execute($sql); /* @var $rs ADOConnection */
    $number_of_days_in_month = date('d', $last_day_of_month);

    echo "DEBUG inline = ".(!$debug) ? '' : 'true' . '</br>';
    $days = array();
    for($i = 1; $i <= $number_of_days_in_month; $i++)
      {
	$days[$i]['url'] = $module->CreateLink($id, 'default', $returnid, $contents='',
					       $params=array('year'=>$year, 'month'=>$month, 'day'=>$i, 'display'=>'list','return_link'=>1,'detail'=>1, 'lang'=>$module->curlang), '', true, $inline);
	$days[$i]['events'] = array();
      }
    if($rs->RecordCount() > 0)
      {
	while($row = $rs->FetchRow())
	  {
	    $start_date = strtotime($row['event_date_start']);

	    if(empty($row['event_date_end']))
	      {
		$end_date = $start_date;
	      }
	    else
	      {
		$end_date = strtotime($row['event_date_end']);
	      }

	    $start_month = date('n', $start_date);
	    $end_month = date('n', $end_date);

	    // find out where the event starts within this month
	    $first_day_of_event_in_this_month = date('j', $start_date);
	    if($start_month < $month)
	      {
		$first_day_of_event_in_this_month = 1;
	      }

	    // find out where the event ends within in this month
	    $last_day_of_event_in_this_month = date('j', $end_date);
	    if($end_month > $month)
	      {
		$last_day_of_event_in_this_month = $number_of_days_in_month;
	      }

	    $url = $module->CreateLink($id, 'default', $returnid, $contents='', $params=array('year'=>$year, 'month'=>$month, 'event_id'=>$row['event_id'], 'display'=>'event', 'lang'=>$module->curlang), '', true, $inline);
	    $row['url'] = $url;

	    // stick the event into the $days array
	    for($i = $first_day_of_event_in_this_month; $i <= $last_day_of_event_in_this_month; $i++)
	      {
		$days[$i]['events'][] = $row;
	      }
	  }
      }

    if($year == date('Y') && $month == date('m'))
      {
	// month being displayed is this month. Therefore today exists
	$today = date('j');
	$days[$today]['class'] .= ' calendar-today';
      }


    // $navigation['next'] = $module->CreateReturnLink($id, $returnid, '', array('year'=>$next_month['year'], 'month'=>$next_month['month']), true);
    // $navigation['prev'] = $module->CreateReturnLink($id, $returnid, '', array('year'=>$prev_month['year'], 'month'=>$prev_month['month']), true);

    $navigation['next'] = $module->CreateLink($id, 'default', $returnid, '', array('year'=>$next_month['year'], 'month'=>$next_month['month']), '', true,  true, '', false, 'calendar/'.$next_month['year'].'/'.$next_month['month'].'/'.$returnid);
    $navigation['prev'] = $module->CreateLink($id, 'default', $returnid, '', array('year'=>$prev_month['year'], 'month'=>$prev_month['month']), '', true,  true, '', false, 'calendar/'.$prev_month['year'].'/'.$prev_month['month'].'/'.$returnid);


    $day_names = $module->GetDayNames();
    $day_short_names = $module->GetDayShortNames();
    $month_names = $module->GetMonthNames();

    if($first_day_of_week != 0)
      {
	for($i = 0; $i < $first_day_of_week; $i++)
	  {
	    $first = array_shift($day_names);
	    $day_names[] = $first;
	    $first = array_shift($day_short_names);
	    $day_short_names[] = $first;
	  }
      }

    // calendar stuff
    $first_of_month = gmmktime(0,0,0,$month,1,$year);
    $first_of_month_weekday_number = gmstrftime('%w',$first_of_month);
    $first_of_month_weekday_number = ($first_of_month_weekday_number + 7 - $first_day_of_week) % 7; #adjust for $first_day

    // assign to Smarty
    $module->smarty->assign_by_ref('month_names', $month_names);
    $module->smarty->assign_by_ref('day_names', $day_names);
    $module->smarty->assign_by_ref('day_short_names', $day_short_names);
    $module->smarty->assign_by_ref('first_of_month_weekday_number', $first_of_month_weekday_number);
    $module->smarty->assign_by_ref('table_id', $table_id);
    $module->smarty->assign_by_ref('navigation', $navigation);
    $module->smarty->assign_by_ref('days', $days);
    $module->smarty->assign_by_ref('month', $month);
    $module->smarty->assign_by_ref('year', $year);
    $module->smarty->assign_by_ref('summaries', $summaries);
    $module->smarty->assign_by_ref('compact_view', $compact_view);

    // Display template
    if (isset($params['calendartemplate']))
      {
	echo $module->ProcessTemplate($params['calendartemplate']);
      }
    else
      {
	$t = $module->GetTemplate('calendar');
	if(empty($t))
	  {
	    $module->SetTemplate('calendar', $module->GetDefaultTemplate('calendar'));
	  }

	echo $module->ProcessTemplateFromDatabase('calendar');
      }
  }

?>
