<?php
# Simple Language file for the Calendar module.
# Copyright (c) 2004 by Rob Allen <rob@akrabat.com>

# Language: en_US
$lang['eventdesc-EventAdded'] = 'Called after adding a calendar event';
$lang['eventdesc-EventEdited'] = 'Called after editing an existing calendar event';
$lang['eventdesc-EventDeleted'] = 'Called after an event has been deleted';
$lang['eventdesc-CategoryAdded'] = 'Called after a category is created';
$lang['eventdesc-CategoryEdited'] = 'Called after a category is edited';
$lang['eventdesc-CategoryDeleted'] = 'Called after a category is deleted';

$lang['eventhelp-EventAdded'] = '
<p>Sent when a calendar event is added.</p>
<h4>Parameters</h4>
<ul>
<li>\"event_title\" - Event Title</li>
<li>\"event_summary\" - Summary Text</li>
<li>\"event_details\" - Detailed Description</li>
<li>\"event_date_start\" - The event start date/time</li>
<li>\"event_date_end\" - The event end date/time</li>
<li>\"event_created_by\" - The userid of the author</li>
<li>\"event_id\" - The event id</li>
</ul>
';
$lang['eventhelp-EventEdited'] = '
<p>Sent when a calendar event is edited.</p>
<h4>Parameters</h4>
<ul>
<li>\"event_title\" - Event Title</li>
<li>\"event_summary\" - Summary Text</li>
<li>\"event_details\" - Detailed Description</li>
<li>\"event_date_start\" - The event start date/time</li>
<li>\"event_date_end\" - The event end date/time</li>
<li>\"event_created_by\" - The userid of the author</li>
<li>\"event_id\" - The event id</li>
</ul>
';
$lang['eventhelp-EventDeleted'] = '
<p>Sent when a calendar event is deleted.</p>
<h4>Parameters</h4>
<ul>
<li>\"event_id\" - The event id</li>
</ul>
';
$lang['eventhelp-CategoryAdded'] = '
<p>Sent when a calendar category is added.</p>
<h4>Parameters</h4>
<ul>
<li>\"category_id\" - The category id</li>
</ul>
';
$lang['eventhelp-CategoryEdited'] = '
<p>Sent when a calendar category is edited.</p>
<h4>Parameters</h4>
<ul>
<li>\"category_id\" - The category id</li>
<li>\"category_name\" - The category name</li>
<li>\"category_order\" - The category sort order</li>
</ul>
';
$lang['eventhelp-CategoryDeleted'] = '
<p>Sent when a calendar category is deleted.</p>
<h4>Parameters</h4>
<ul>
<li>\"category_id\" - The category id</li>
<li>\"category_name\" - The category name</li>
<li>\"category_order\" - The category sort order</li>
</ul>
';

$lang['msg_eventadded'] = 'Varaus lisätty';
$lang['error_csvfilenotfound'] = 'ERROR: Could not find the CSV File';
$lang['error_cantopenfile'] = 'ERROR: Cannot open file';

$lang['cal_calendar'] = 'Calendar';
$lang['cal_description'] = 'Add, edit and remove events';
$lang['cal_addevent'] = 'Add Event';
$lang['cal_import_events'] = 'Import Events';
$lang['cal_events'] = 'Events';
$lang['cal_categories'] = 'Categories';
$lang['cal_calendar_template'] = 'Calendar Template';
$lang['cal_list_template'] = 'List Template';
$lang['cal_upcominglist_template'] = 'Upcoming Template';
$lang['cal_event_template'] = 'Event Template';
$lang['cal_settings'] = 'Settings';
$lang['cal_prev'] = '&laquo; Prev';
$lang['cal_next'] = 'Next &raquo;';

$lang['cal_categories_updated'] = 'Categories Updated';
$lang['cal_settings_updated'] = 'Settings Updated';
$lang['cal_add_event'] = 'Add Event';
$lang['cal_edit'] = 'Edit';
$lang['cal_delete'] = 'Delete';
$lang['cal_areyousure'] = 'Are you sure you want to delete';
$lang['cal_update_template'] = 'Update Template';

$lang['cal_sunday'] = 'Sunnuntai';
$lang['cal_monday'] = 'Maanantai';
$lang['cal_tuesday'] = 'Tiistai';
$lang['cal_wednesday'] = 'Keskiviikko';
$lang['cal_thursday'] = 'Torstai';
$lang['cal_friday'] = 'Perjantai';
$lang['cal_saturday'] = 'Lauantai';
$lang['cal_sun'] = 'Su';
$lang['cal_mon'] = 'Ma';
$lang['cal_tues'] = 'Ti';
$lang['cal_wed'] = 'Ke';
$lang['cal_thurs'] = 'To';
$lang['cal_fri'] = 'Pe';
$lang['cal_sat'] = 'La';

$lang['cal_january'] = 'Tammikuu';
$lang['cal_february'] = 'Helmikuu';
$lang['cal_march'] = 'Maaliskuu';
$lang['cal_april'] = 'Huhtikuu';
$lang['cal_may'] = 'Toukokuu';
$lang['cal_june'] = 'Kes&auml;kuu';
$lang['cal_july'] = 'Hein&auml;kuu';
$lang['cal_august'] = 'Elokuu';
$lang['cal_september'] = 'Syyskuu';
$lang['cal_october'] = 'Lokakuu';
$lang['cal_november'] = 'Marraskuu';
$lang['cal_december'] = 'Joulukuu';

$lang['cal_date'] = 'P&auml;iv&auml;';
$lang['cal_summary'] = 'Tiivistelm&auml;';
$lang['cal_details'] = 'Lis&auml;tiedot';
$lang['cal_more'] = 'Lis&auml;&auml; &raquo;';
$lang['cal_return'] = 'Takaisin kalenteriin';
$lang['cal_to'] = ' - ';
$lang['cal_upcoming_events'] = 'Tulevat tapahtumat';
$lang['cal_any_category'] = 'Lis&auml;&auml; kategoria';
$lang['cal_show_only_events_in'] = 'N&auml;yt&auml; vain ';
$lang['cal_filter_by'] = 'Suodata';
$lang['cal_go'] = 'Siirry';
$lang['cal_title'] = 'Otsikko';

$lang['cal_fromdate'] = 'Mist&auml;';
$lang['cal_todate'] = 'Mihin';
$lang['cal_update_categories'] = 'P&auml;ivit&auml; kategoriat';
$lang['cal_language'] = 'Kieli';
$lang['cal_updatesettings'] = 'P&auml;ivit&auml; asetukset';

$lang['cal_summary'] = 'Summary';

$lang['cal_use_twelve_hour_clock'] = 'Use twelve hour clock on hour drop-downs?';

$lang['error_permission'] = 'You need the appropriate permission (%s) to access this functionality';
$lang['install_postmessage'] = 'Make sure to set the "Modify Calendar" permission on users who will be administering calendar events.';

$lang['cal_changelog'] = '
<ul>
<li><p>Version: 0.7.3</p>
    <p>Added Minimum CMS Version</p>
    <p>Added the pastlist option</p>
</li>
<li><p>Version: 0.7.2</p>
    <p>CMS 1.0 compatiblity</p>
    <p>Split out into numerous files for better memory efficiency</p>
    <p>Introduced references where necessary to improve memory efficiency</p>
    <p>Added functions to allow for talking with this module via other modules</p>
    <p>Added events</p>
    <p>Improved security and reduced memory footprint</p>
</li>
<li><p>Version: 0.7 stable</p>
    <p>Fixed problem with broken month list on 31st of each month;</p>
    <p>Fixed problem with Calendar showing in the menu for unauthorized admin users.</p>
</li>
<li><p>Version: 0.7beta3</p>
    <p>Added the yearlist view option to list all events in the year. Acts like the list option.</p>
</li>
<li><p>Version: 0.7beta2</p>
    <p>Added the reverse parameter to show events in reverse chronological order.</p>
</li>
<li><p>Version: 0.7beta1</p>
    <p>Added navigation in the list view, fixed problem with events not showing up in the list view.</p>
</li>
<li><p>Version: 0.7alpha2</p>
    <p><ul>
       <li>Bug fix: include last day of the month!</li>
       <li>Bug fix: template use of $table_id should have {} around it.</li>
       <li>Include icon for content page.</li>
       <li>Whitespace changes - trailing spaces and tabs/space tidy up.</li>
       <li>Make default templates XHTML 1.0 Transitional compliant.</li>
    </ul></p>
</li>
<li><p>Version: 0.7alpha1</p>
    <p>Complete rewrite to fit into 0.10.x better.</p>
    <p>Support language for day and month names</p>
    <p>Use smarty templates for controlling the display.</p>
    <p>Rewrite the SQL used to select the events to hopefully be more maintainable.</p>
    <p><strong>Note</strong> that the language files are not fully updated for this version!</p>
</li>
<li><p>Version: 0.6.1</p>
    <p>More fixes for multi-day event on calendar. Added new parameter "time_format" so we can make the display of a single day event with a start and stop time look better. Change de_DE\'s "to" to "bis" as per Mordran\'s post on the boards.</p>
</li>
<li><p>Version: 0.6</p>
   <p>Fix event display so that if the end date is not set, we don\'t display "to".</p>
   <p>Filter by category when displaying an upcominglist.</p>
   <p>Fix End date setting that was off by one.</p>
   <p>Fix odd behaviour of year when transitioning from Jan to Dec or Dec to Jan in the calendar view.</p>
   <p>Support mutli-day events in the calendar view.</p>
</li>
<li><p>Version: 0.5</p>
    <p>Fix the drop down list for end date year. Fix DE translation of "Return" (thanks Piratos!).</p>
    <p>Fix spacing around "to" (thanks Greg!). Add Danish and Dutch translations courtesy of board members esmann and dont.</p>
</li>
<li><p>Version: 0.4</p>
    <p>Support for language translations. Default to a NULL end date. Improved the help information.</p>
    <p>Display upcoming events in the correct order! Other minor bug fixes.</p>
</li>
<li><p>Version: 0.3</p>
    <p>Initial support for "From" and "To" dates for events. Ability to filter admin list of events by category.</p>
</li>
<li><p>Version: 0.2</p>
    <p>New display option: "upcominglist". Also many bugfixes!</p>
</li>
<li><p>Version: 0.1</p>
    <p>Initial release.</p>
</li>
</ul>
';

$lang['cal_help'] = <<<EOT
		<h3>What does this do?</h3>
		<p>Calendar is a module for displaying events on your page. When the
		module is installed, a Calendar admin page is added to the plugins menu
		that will allow you to manage your events.</p>
		<h3>Security</h3>
		<p>The user must belong to a group with the 'Modify Calendar' permission
		in order to add, edit, or delete calendar event entries.</p>
		<h3>How do I use it?</h3>
		<ol>
		  <li>Put the cms_module tag in the page content. Make sure it is not enclosed in &lt;pre&gt;...&lt;/pre&gt; tags.  You will need to view source code for this.  The code would look something like:<br />
		  <tt>{cms_module module="Calendar" table_id="big"}</tt><br />
		  The <tt>table_id</tt> parameter is required for the CSS (see below for details).</li>
		  <li>Create a new stylesheet called Calendar, and fill it with the contents of the <tt>calendar_example.css</tt> file in the module directory.</li>
		  <li>Associate this stylesheet with the template you are using for the calendar page.</li>
		</ol>
		<h3>Locale</h3>
		<p>Calendar also supports translation of all text strings to another language. To support
		your language, add a file named <b><code>&lt;language&gt;.php</code></b> to the
		<code>modules/Calendar/lang</code> directory. I would suggest copying en_US.inc.php as a starting point.
		You can then select your language from the Settings tab in the Calendar admin.</p>
		<p>Note you can
		override the language used for a particular calendar displayed on the front end site by adding lang="xx_XX" to
		the {cms_module module="Calendar"} call. For instance: {cms_module module="Caldendar" lang="de_DE"}</p>
		<h3>What Parameters Exist?</h3>
		<table border=0 cellpadding=3 cellspacing=0>
		<tr>
			<td>display</td>
			<td>Acceptable values:<br>
			  "calendar" - displays events for the current month in a traditional grid.  Inclues links to prev. and next months.<br>
			  "list" - displays events for the current month as a list.  Includes links to prev. and next months.<br>
			  "yearlist" - displays events for the current year in a list.  Includes links to prev. and next years.<br>
			  "pastlist" - displays all past events.  No prev/next links.<br/>
			  "upcominglist" - displays all upcoming events.  No prev/next links.<br>
			Defaults to "calendar" <em>(optional)</em></td>
		</tr>
		<tr>
			<td>category</td>
			<td>Only display items for that category. Leaving unset, will show all categories. Note that
			you can limit to muliple categories by separating each one with a comma.<em>(optional)</em></td>
		</tr>
		<tr>
			<td>month</td>
			<td>Display entries for a particular month. If year is not set, then the current year is
				assumed. This option only works if display is set to "list" or "calendar". <em>(optional)</em></td>
		</tr>
		<tr>
			<td>year</td>
			<td>Display entries for a particular year.
				This option only works if display is set to "list" or "calendar". <em>(optional)</em></td>
		</tr>
		<tr>
			<td>limit</td>
				<td>Set to the maximum number of events to display. This option only works if display is set to "list", "pastlist" or "upcominglist". <em>(optional)</em></td>
		</tr>
		<tr>
			<td>first_day_of_week</td>
			<td>Set to the first day of the week as a number between 0 and 6 (0 = Sunday). Default is 1 (Monday).
				This option only works if display is set to "calendar". <em>(optional)</em></td>
		</tr>
		<tr>
			<td>summaries</td>
			<td>Set to 1 to display the summary information or 0 to not display it in calendar mode. Default is 1. <em>(optional)</em></td>
		</tr>
		<tr>
			<td>detail</td>
			<td>Set to 1 to display the detail information or 0 to not display it in list mode. Default is 0. <em>(optional)</em></td>
		</tr>
		<tr>
			<td>table_id</td>
			<td>Id to set for this calendar or list. This is useful for applying CSS styling. Default is "calendar-&lt;autogenerated id number&gt;". <em>(optional)</em></td>
		</tr>
		<tr>
			<td>date_format</td>
			<td>Format to display the event's date (as used in <a href='http://www.php.net/manual/en/function.strftime.php' target='_blank'>strftime()</a>). Default is "%d/%b/%Y". <em>(optional)</em></td>
		</tr>
		<tr>
			<td>use_session</td>
			<td>Use a session variable to store the current month of the calendar. Default is ture. <em>(optional)</em></td>
		</tr>
		<tr>
			<td>compact_view</td>
			<td>Set to 1 to hide the navigation links. Helpful to show current month's events on the home page. Default is 0. <em>(optional)</em></td>
		</tr>
		<tr>
			<td>inline</td>
			<td>Set to 0 to set all of the event links to inlined mode (they will replace the page content).  Default is 1. <em>(optional)</em></td>
		</tr>
		<tr>
			<td>reverse</td>
			<td>Set to true to display events in reverse chronological order. Applicable to list, pastlist and upcominglist displays. Default is false. <em>(optional)</em></td>
		</tr>
		</table>

		<h3>Templates</h3>
		<p>All four types of display used on the front end are controlled from templates that can be changed in the admin. If you want to reset
		a template back to the default, then delete the entire template content in the admin and it will be reset on the next display of that calendar
		view on the front end site.</p>
		<h3>Sample CSS Styles</h3>

		<p>This is a set of example CSS rules to make the calendar view look good. To see in action use:
		<pre style="font-size: 12px">{cms_module module='Calendar' table_id='big'}</pre></p>
		<p>Rules:</p>
		<blockquote><pre style="font-size: 12px">
/* make all links red */
.calendar tr td a
{
color: red;
}

/* highlight "today" for the small calendar */
.calendar-today
{
font-weight: bold;
}

/* display the "upcominglist" or "pastlist" as one line per entry (assuming table_id='cal-upcominglist') */
#cal-upcominglist .calendar-date-title
,#cal-upcominglist .calendar-summary-title
{
display: none;
}

#cal-upcominglist h2
,#cal-upcominglist .calendar-date
,#cal-upcominglist .calendar-summary
{
display: inline;
margin-right: 5px;
}

/* tidy up text sizes for lists */
#cal-list h1, #cal-upcominglist h1
{
color: red;
font-size: 120%;
}
#cal-list h2, cal-upcominglist h2
{
font-size: 110%;
}

/** large calendar rules (assuming table_id='big') **/
/* border on for #big */
#big{
margin: 0px;
border-collapse:    collapse;
border: 1px solid black;
}

/* nice squares for the #big table */
#big th
{
border: 1px solid black;
padding: 3px;
width: 75px;
}

#big td {
border: 1px solid black;
vertical-align: top;
padding: 3px;
height: 75px;
width: 75px;
}

/* format summaries nicely in #big */
#big ul
{
margin: 0px;
padding: 0px;
padding-left: 5px;
}

#big li
{
list-style-type: none;
padding: 0px;
margin: 0px;
}

/* background colours for #big */
#big td
{
background-color: silver;
}

#big .calendar-day
{
background-color: #80ff80;
}

#big .calendar-today
{
font-weight: normal;
background-color: #8080ff;
}

.calendar-event .calendar-date-title,
.calendar-event .calendar-summary-title,
.calendar-event .calendar-details-title
{
display: none;
}
</pre></blockquote>
EOT;
?>
